image: node:14.17.5

# This folder is cached between builds
# https://docs.gitlab.com/ee/ci/yaml/index.html#cache
cache:
  paths:
    - node_modules/

deploy_firebase:
  stage: deploy
  script: 
    - npm install
    - npm run build
    - npm i firebase-tools -g
    - firebase deploy --token $K8S_SECRET_FIREBASE_TOKEN
